class MSBAction_SetCamera extends ScriptedAction;

var Actor ViewActor;
var bool ShakyCam;
var Actor LookTarget;
var float FOV;
var PlayerController pc;
var int Alpha;
var float flickr;
var bool bLens;

function bool InitActionFor(ScriptedController C)
{
 local MSBCamera MSC;
 local MSBDepthOfFieldOverlay over;

 foreach C.AllActors (class'PlayerController', pc)
   break;

 if (MSBCamera(ViewActor)!=None)
  {
  MSC=MSBCamera(ViewActor);
  if (LookTarget!=None)
    MSC.SetRotation(rotator(LookTarget.Location-MSC.Location));
  MSC.FOV=FOV;
  if (MSC.FOV>0)
    pc.SetFOV(MSC.FOV);
  MSC.bShaky=ShakyCam;
  if (LookTarget!=None)
    MSC.ViewTarget=LookTarget;
  }
 pc.SetViewTarget(ViewActor);
 foreach C.AllActors (class'MSBDepthOfFieldOverlay', over)
   if (Over!=None)
     {
     if (Alpha>0)
       over.Alpha=Alpha;
       over.flickr=flickr;
     if (MSC.bDepth)
       {
       over.flickr=flickr;
       over.Reset();
       }
     }
 return false;

}


