//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBRootNode extends MSBScriptNode;

var Pawn BasePawn;
var float GroundSpeed;
var bool Invulnerable;
var vector initialLocation;
var rotator initialRotation;
//try out applying to many pawns
var MSBPawn myMaster;
var float colRadius;

function fillSequence()
{
local MSBRootNode myRoot;

Super.fillSequence();
// setting up our pawn
BasePawn.SetPhysics(PHYS_None);
BasePawn.SetLocation(initialLocation);
BasePawn.SetRotation(initialRotation);
BasePawn.SetPhysics(PHYS_Walking);

//Spawning Controller and connecting
if (BasePawn.Controller!=None)
  BasePawn.Controller.Destroy();

if (myMaster==None)
  {
  SpawnControllerFor(BasePawn);
  ScriptedController(BasePawn.Controller).bUseScriptFacing=false;
  }
else
  {
  foreach AllActors(class'MSBRootNode',myRoot)
    if (myRoot.BasePawn==myMaster)
      break;
  myRoot.SpawnControllerFor(BasePawn);
//  BasePawn.SetCollision(true,false,false);
  BasePawn.SetCollisionSize(2,BasePawn.CollisionHeight);
  }
}

function Reset()
{
super.Reset();
// setting up our pawn
BasePawn.SetPhysics(PHYS_None);
BasePawn.SetLocation(initialLocation);
BasePawn.SetRotation(initialRotation);
BasePawn.SetPhysics(PHYS_Walking);

//Destroying Controller
if (BasePawn.Controller!=None)
  BasePawn.Controller.Destroy();

if (myMaster!=None)
  OurNextScript=None;
}

DefaultProperties
{
}
