//-----------------------------------------------------------
// Spawns new Buttons
//-----------------------------------------------------------
class MSB2DSpawnButton extends MSBTwoStepButton;

var class <MSBGuiOverlay> SpawnActorClass;
var string SpawnActorClassName;
var MSBGuiOverlay SpawnActor;

function LeftBtn(Canvas C)
{
super.LeftBtn(C);

if (SpawnActorClass==None)
  SpawnActorClass = class<MSBGuiOverlay>(DynamicLoadObject(SpawnActorClassName, class'Class'));
SpawnActor = spawn(SpawnActorClass,,,M.Location);
SpawnActor.bEnabled=false;
}

function LeftBtnFinished(Canvas C)
{
super.LeftBtnFinished(C);
if (SpawnActor==None)
M.warningMessage("Creation failed!"@SpawnActorClassName);
SpawnActor.bEnabled=true;
SpawnActor=None;
}

function RightBtn(Canvas C)
{
super.RightBtn(C);
if (SpawnActor!=None)
  SpawnActor.Destroy();
super.LeftBtnFinished(C);
}

function initButton (Canvas C)
{
super.initButton(C);
C.SetPos(xPos,yPos);
C.SetDrawColor(textCol.R,textCol.G,textCol.B);
C.DrawText(BtnName);
C.SetDrawColor(col.R,col.G,col.B);
if (SpawnActor!=None)
  {
  SpawnActor.xPos=Mouse.xPos;
  SpawnActor.yPos=Mouse.yPos;
  }
}

DefaultProperties
{
tooltip1="Spawn 2D"
tooltip2="Place Object"
widthRel=96
heightRel=30
SpawnActorClassName="MSBCode.MSBListButton"
col=(R=225,G=225,B=255,A=255)
}
