//-----------------------------------------------------------
//
//-----------------------------------------------------------
//TODO: This button does not take the next-prev functionality of ListButton into account!

class MSBExtendedListButton extends MSBListButton;

var bool rHasClickedAgain;
var bool bDisplayed;
var float xDist,yDist,oldMousexPos,oldMouseyPos;
var array<string> Properties;
var array<string> ButtonNames;
var array<string> Parents;
var Actor Parent;

function initButton(Canvas C)
{
xDist=Mouse.xPos-oldMousexPos;
yDist=Mouse.yPos-oldMouseyPos;

oldMousexPos=Mouse.xPos;
oldMouseyPos=Mouse.yPos;

if (bDragged)
  {
  xPos=xPos+xDist;
  yPos=yPos+yDist;
  }

super.initButton(C);

C.SetPos(xPos,yPos);
C.SetDrawColor(255,255,255);
C.DrawText(BtnName);

if (bEnabled)
 {
 if (rHasClicked && Mouse.btnTwo)
   {
   rHasClickedAgain=true;
   RightBtnFinished(C);
   rHasClickedAgain=false;
   }
 }
}

function LeftBtn(Canvas C)
{
local int i;

super.LeftBtn(C);

for (i=0;i<Buttonlist.Length; i++)
  {
  if (ButtonNames.length>i)
    MSBPropertyButton(ListButton[i]).BtnName=ButtonNames[i];

  if (Properties.length>i)
    MSBPropertyButton(ListButton[i]).Property=Properties[i];

  if (Parents.length>i && Parents[i]!="")
   MSBPropertyButton(ListButton[i]).SetPropertyText("Parent",Parents[i]);
  else
   MSBPropertyButton(ListButton[i]).Parent=self;
  }
}

function RightBtn(Canvas C)
{
local int i;
super.RightBtn(C);
bDragged=true;
//start dragging the whole list of selected Buttons
for (i=0;i<Mouse.selectedButtons.Length;i++)
  {
  if (Mouse.selectedButtons[i].IsA('MSBNodeButton'))
     MSBNodeButton(Mouse.selectedButtons[i]).bDragged=true;
  if (Mouse.selectedButtons[i].IsA('MSBScriptNodeButton'))
     MSBScriptNodeButton(Mouse.selectedButtons[i]).bDragged=true;
  }
}

function RightBtnFinished(Canvas C)
{
local int i;

rHasClicked=false;
//enable all other buttons after second press
for (i=0;i<M.myHud.Overlays.Length-1;i++)
  if (M.myHud.Overlays[i].IsA('MSBGuiOverlay'))
    MSBGuiOverlay(M.myHud.Overlays[i]).bEnabled=true;

Mouse.btnTwo=false;

for (i=0;i<Mouse.selectedButtons.Length;i++)
  {
  if (Mouse.selectedButtons[i].IsA('MSBNodeButton'))
     MSBNodeButton(Mouse.selectedButtons[i]).bDragged=false;
  if (Mouse.selectedButtons[i].IsA('MSBScriptNodeButton'))
     MSBScriptNodeButton(Mouse.selectedButtons[i]).bDragged=false;
  }
bDragged=false;
}

DefaultProperties
{

}
