//-----------------------------------------------------------
// a Full-Screen Overlay - maybe rename?
//-----------------------------------------------------------
class MSBUserHudOverlayButton extends MSBExtendedListButton;

var() MSBUserOverlay UOverlay;
var() string Overlay;
var() Material OverlayMat;
var() Shader myShade;
var() int red,green,blue,alpha;
var() int BlendMode;

event PostBeginPlay()
{
super.PostBeginPlay();
createUserOverlay();
myShade=new class'Shader';
}

function createUserOverlay()
{
if (UOverlay==None)
  {
  UOverlay=Spawn(class'MSBUserOverlay',self);
  MSBHud(M.myHUD).UserOverlays[MSBHud(M.myHUD).UserOverlays.length]=UOverlay;
  }
}

function Trigger(Actor Other,Pawn EventInstigator)
{
if (Other==ListButton[0])
  {
  OverlayMat=Material(DynamicLoadObject(Overlay,class'Material',true));
  myShade.Diffuse=OverlayMat;
  if (BlendMode==0)
    myShade.OutputBlending=OB_Normal;
  if (BlendMode==1)
	myShade.OutputBlending=OB_Masked;
  if (BlendMode==2)
	myShade.OutputBlending=OB_Modulate;
  if (BlendMode==3)
	myShade.OutputBlending=OB_Translucent;
  if (BlendMode==4)
	myShade.OutputBlending=OB_Invisible;
  if (BlendMode==5)
	myShade.OutputBlending=OB_Brighten;
  if (BlendMode==6)
	myShade.OutputBlending=OB_Darken;
  UOverlay.Tex=myShade;
  }
if (Other==ListButton[1])
  {
  UOverlay.alpha=alpha;
  }
if (Other==ListButton[2])
  {
  if (BlendMode==0)
    myShade.OutputBlending=OB_Normal;
  if (BlendMode==1)
	myShade.OutputBlending=OB_Masked;
  if (BlendMode==2)
	myShade.OutputBlending=OB_Modulate;
  if (BlendMode==3)
	myShade.OutputBlending=OB_Translucent;
  if (BlendMode==4)
	myShade.OutputBlending=OB_Invisible;
  if (BlendMode==5)
	myShade.OutputBlending=OB_Brighten;
  if (BlendMode==6)
	myShade.OutputBlending=OB_Darken;
  }
}

DefaultProperties
{
ButtonList(0)="MSBPropertyButtons.MSBPropertyButtonText";
Properties(0)="Overlay";
ButtonList(1)="MSBPropertyButtons.MSBPropertyButtonText";
Properties(1)="Alpha";
ButtonList(2)="MSBPropertyButtons.MSBPropertyButtonText";
Properties(2)="BlendMode";


alpha=255
Overlay="Moviesandboxtextures.hudOverlay_A01"
OverlayMat=Material'Moviesandboxtextures.hudOverlay_A01'
Mat=Texture'MoviesandboxTextures.icon_node'
BtnName="UserHudOverlay"
widthRel=128
heightRel=128
col=(R=255,G=64,B=128,A=255)
}
