//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBVoxelEdPawn extends MSBVoxelPawn;

var Mesh UTMesh2;

function setMSBMasterBlocks()
{
local vector C[26];
local int i;

//C[0]=GetBoneCoords('Bip01');

C[1]=vect(2,2,2);            //'Bip01 Pelvis'
C[2]=vect(2,1,1);            //'bip01 Spine'
C[3]=vect(2,1,1);            //'bip01 Spine1'
C[4]=vect(2,1,1);            //'bip01 Spine2'
C[5]=vect(1,1,1);            //'Bip01 Neck'

C[6]=vect(2,2,2);            //'Bip01 R Clavicle');
C[7]=vect(5,2,2);        //'Bip01 R UpperArm');
C[8]=vect(5,1,1);            //'Bip01 R Forearm');
C[9]=vect(2,1,1);            //'Bip01 R Hand');
//C[10]=                     //'Bip01 R Finger');
//C[11]=                     //'Bone_weapon');

C[12]=vect(2,2,2);           //'Bip01 L Clavicle');
C[13]=vect(5,2,2);       //'Bip01 L UpperArm');
C[14]=vect(5,1,1);           //'Bip01 L Forearm');
C[15]=vect(2,1,1);           //'Bip01 L Hand');
//C[16]=                     //'Bip01 L Finger');

C[17]=vect(9,2,2);       //'bip01 R Thigh');
C[18]=vect(10,1,1);          //'Bip01 R Calf');
C[19]=vect(2,2,2);           //'Bip01 R Foot');
C[20]=vect(2,2,2);           //'Bip01 R Toe0');

C[21]=vect(9,2,2);       //'bip01 L Thigh');
C[22]=vect(10,1,1);          //'Bip01 L Calf');
C[23]=vect(2,2,2);           //'Bip01 L Foot');
C[24]=vect(2,2,2);           //'Bip01 L Toe0');

C[25]=vect(4,0.5,2);           //'Bip01 Head');

for (i=0;i<26;i++)
  {
  if (!(i==0||i==10||i==11||i==16))
    {
    Blocks[i]=Spawn(class'MSBVoxelEdMasterBlock',self,,);
    Blocks[i].BoneNumber=i;
    Blocks[i].edScale=C[i];
    }
  }
}

function getFace()
{
local int i;
local vector F[8];

F[0]=vect(-0.5,-8,0);
F[1]=vect(-0.5,-8,0);
F[2]=vect(-0.5,-8,0);

F[3]=vect(-0.5,-8,-0.5);
F[4]=vect(-0.5,-8,-3);
F[5]=vect(-0.5,-8,-3);
F[6]=vect(-0.5,-8,-3);
F[7]=vect(-0.5,-8,0);

SetDrawScale(0.8);
//add facial expression stuff here:

if (Mesh==UTMesh2)
 for (i=0;i<8;i++)
  {
  if (FaceBlocks[i]==None)
    FaceBlocks[i]=Spawn(class'MSBVoxelEdMasterBlock',self,,);
  FaceBlocks[i].bFaceBlock=true;
  FaceBlocks[i].BoneNumber=i;
  FaceBlocks[i].SetDrawScale(0.05);
  AttachToBone(FaceBlocks[i],FaceBone[i]);
  }
}

function undoFaceBlocks()
{
local int i;
local vector loc;

SetDrawScale(1);
for (i=0;i<8;i++)
  {
  loc=FaceBlocks[i].Location;
  FaceBlocks[i].bFaceBlock=true;
  DetachFromBone(FaceBlocks[i]);
  FaceBlocks[i].SetLocation(loc);
  }
}

function AssignInitialPose();

function clearBlocks()
{
local int i;

for(i=0;i<Blocks.length;i++)
  {
  Blocks[i].clearBlocks();
  Blocks[i].Destroy();
  }
}

DefaultProperties
{
Mesh=Mesh'MSB_Reference.complex'                                 //base animation resource
//UTMesh=Mesh'ThunderCrash.JakobM'
UTMesh=Mesh'MSB_Reference.male'                                 //complex animation resource
UTMesh2=Mesh'MSB_Reference.complex'                                 //complex animation resource


bCollideActors=false

}
