//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPoseSaveButton extends MSBListButton;

var string saveName;
var MSBPoseWidget Parent;


function initButton(Canvas C)
{
super.initButton(C);

C.SetPos(xPos,yPos);
C.SetDrawColor(textCol.R,textCol.G,textCol.B);
C.DrawText(BtnName);
C.SetDrawColor(col.R,col.G,col.B);
}

function createButtons()                      //spawns subButtons
{
local int i;

for (i=0;i<M.SavePoses.length+1;i++)
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonText";

super.createButtons();

for (i=0;i<ListButton.length;i++)
  {
    MSBPropertyButton(ListButton[i]).Property="saveName";
    MSBPropertyButton(ListButton[i]).Parent=self;
    MSBPropertyButton(ListButton[i]).BtnName="createNew";
    if (liststart+i<ButtonList.length-1)
      MSBPropertyButton(ListButton[i]).BtnName=M.SavePoses[liststart+i];
  }
}


function LeftBtn(Canvas C)
{
local int i;

ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonText";
for (i=0;i<M.SavePoses.length+1;i++)
  ButtonList[i]="MSBPropertyButtons.MSBPropertyButtonText";
super.LeftBtn(C);
}

event Trigger(Actor Other, Pawn EventInstigator)
{
local int i;
local MSBAniKey A;

super.Trigger(Other,EventInstigator);

if(!Other.IsA('MSBScrollBar'))
  {
  Log("saving Pose!");

  //todo: ??
  for(i=0;i<Parent.lastbone;i++);
    MSBPawn(Parent.PoseActor).PoseKey[i]=None;

  for (i=0;i<Parent.lastbone;i++)
    {
    A=Level.Game.CreateDataObject(class'MSBAniKey',savename$"Key"$i,"MSBPose_"$SaveName);
    if(Parent.Pose.PoseKey[i].BoneNumber==0)
      {
      A.OriginOffset=Parent.BRD.OriginOffset;
      Log("my Origin Offset is"@A.OriginOffset);
      }
    A.BoneRotation=Parent.Pose.PoseKey[i].BoneRotation;
    }
  Level.Game.SavePackage("MSBPose_"$SaveName);

    /*update SaveGame List:
    everytime we save a game we check if a similar name already exists in our savegame list.
    If so, we delete it from the list and put it back in at position 0.
    */

    for (i=0;i<M.SavePoses.length;i++)
      if (M.SavePoses[i]==saveName)
        M.SavePoses.Remove(i,1);

    for (i=0;i<ListButton.Length;i++)
      if (Other==ListButton[i])
        {
        M.SavePoses.Insert(0,1);
        M.SavePoses[0]=saveName;
        }

  M.SaveGeneralConfig();
  Mouse.deSelectAll();
  }
}


DefaultProperties
{
widthRel=24
heightRel=24
BtnName=""
tooltip="Save the Pose"
listOrientation=1
Mat=Texture'MoviesandboxTextures.icon_save'
maxListSize=5
}
