class MSBScriptTriggerNode extends ScriptedTrigger;

var ScriptedSequence OurNextScript;
var string Description,
           SelectText;

function PostBeginPlay();

function initialize()
{
 local MSBAction_SetNextScript sns;
 local int l;

 if (TriggerController!=None)
  TriggerController.Destroy();

 //remove all Actions
 if (Actions.Length>0)
  Actions.Remove(0,Actions.length);

 //initialize self
 if (TriggerController==None)
   TriggerController = Spawn(class'ScriptedTriggerController');

 TriggerController.InitializeFor( Self );

 // set changeScript Action at the end;
 sns= new(None) class'MSBAction_SetNextScript';
 sns.NewScript=OurNextScript;
 l=Actions.length;
 Actions[l]=sns;
}

function fillSequence();

defaultproperties
{
 bNavigate=false
 bStatic=False
 OurNextScript=None
 bHidden=true
 bPathColliding=False

 Description="optional - fill in some Description here"
 ScriptControllerClass=ScriptedTriggerController
}


