//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBSetPropertyNode extends MSBScriptNode;

var string Prop;
var string setTo;
var string Value;
var string oldValue;
var array<string> Parts;

var Actor Target;

function fillSequence()
{
local MSBAction_SetPropertyText spt;

super.fillSequence();

if(Target!=None)
 {
 oldValue="";
 oldValue=Target.GetPropertyText(Prop);
 spt=new class'MSBAction_SetPropertyText';
 spt.Prop=Prop;
 Value="None";
 if (setTo!="")
   Value=setTo;
 spt.setTo="";
 spt.setTo=Value;
 spt.Target=Target;
 Actions[0]=spt;
 }
Log(setTo);
}

function execute(string Data)
{
local vector Loc;
local rotator Rotat;
local float mod;

Prop=Caps(Prop);

//for key Inputs
if (Data=="")
  Data=setTo;

if (InStr(Data,"+")>0)
  mod=1;
if (InStr(Data,"-")>0)
  mod=-1;

if (Prop=="LOCATION")
  {
  Split(Data,",",Parts);
  if (Parts.length>2)
    {
    Loc.X=float(Parts[0]);
    Loc.Y=float(Parts[1]);
    Loc.Z=float(Parts[2]);
    Target.SetLocation(Loc+mod*Target.Location);
    }
  }
else if (Prop=="ROTATION")
  {
  Split(Data,",",Parts);
  if (Parts.length>2)
    {
    Rotat.Pitch=int(Parts[0]);
    Rotat.Yaw=int(Parts[1]);
    Rotat.Roll=int(Parts[2]);
    Target.SetRotation(Rotat+mod*Target.Rotation);
    }
  }
else
  {
  Target.SetPropertyText(Prop,"None");
  Target.SetPropertyText(Prop,setTo);
  }
}


function Reset()
{
super.Reset();
if (Target!=None)
  {
  Target.SetPropertyText(Prop,"None");
  Target.SetPropertyText(Prop,oldValue);
  }
}

defaultproperties
{
Description="SetProp"
}

