//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBOpenWidgetButton extends MSBListButton;

var bool bIsOpen;
var float widgetPosXRel,widgetPosYRel;

function LeftBtn(Canvas C)
{
local int i;
Log("click!");

if(!bIsOpen)
  {
  super.LeftBtn(C);
  for (i=0;i<ListButton.length;i++)
    ListButton[i].SubLevel=0;
  Open();
  bIsOpen=true;
  }
else
  {
  Close();
  for (i=0;i<ListButton.length;i++)
    ListButton[i].SubLevel=SubLevel+3;
  Mouse.deSelectAll();
  bIsOpen=false;
  }
Mouse.btnOne=false;
hasClicked=false;
}


function positionButton(Canvas C, int i, optional float x, optional float y)
{
local float widgetPosX,widgetPosY;

widgetPosX=widgetPosXRel*C.ClipX/1024;
widgetPosY=widgetPosYRel*C.ClipY/768;

if(listOrientation==1)
  positionButtonLeft(C,i,widgetPosX,widgetPosY);

if(listOrientation==2)
  positionButtonBottom(C,i,widgetPosX,widgetPosY);
}


function positionButtonLeft(Canvas C,int i,optional float x,optional float y)
{
  ListButton[i].xPos=x;
  ListButton[i].yPos=y;
  if(i>0)
   ListButton[i].yPos=ListButton[i-1].yPos+ListButton[i-1].height;
}


function positionButtonBottom(Canvas C,int i,optional float x, optional float y)
{
  ListButton[i].xPos=x;
  ListButton[i].yPos=y;
  if(i>0)
   ListButton[i].xPos=ListButton[i-1].xPos+ListButton[i-1].width;
}


function Open();
function Close();

DefaultProperties
{
listOrientation=2
bIsOpen=false
bMainMenu=true
widgetPosXRel=500
widgetPosYRel=200

maxListSize=12

ButtonList(0)="MSBCode.MSBNaviButton"
}
