//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBScrollBar extends MSBGuiOverlay;

var float sliderValue;
var int sliderSize, sliderSizeRel;
var bool bUpDown;
var Texture SliderMat;
var MSBGuiOverlay Parent;
var bool bConfine;


function Render(Canvas C)
{
super.Render(C);
drawSlider(C);

if(bUpDown)
  sliderSize=sliderSizeRel*768/C.ClipY;
else
  sliderSize=sliderSizeRel*1024/C.ClipX;

if (bConfine)
  confineMouse(C);
}

function MouseOver(Canvas C)
{
if (Mouse.btnOneDown)
  {
  changeSlider();
  if(Parent!=None)
    Parent.Trigger(self,None);
  bconfine=true;
  }
}

function confineMouse(Canvas C)
{
if(bUpDown)
  {
  Mouse.xPos=xPos+width/2;
  if(Mouse.yPos<yPos)
    Mouse.yPos=yPos+5;
  if(Mouse.yPos>yPos+height)
    Mouse.yPos=yPos+height-5;
  }
}

function changeSlider()
{
if (bUpDown)
  sliderValue=((Mouse.yPos-yPos)/(height-float(slidersize)));
else
  sliderValue=((Mouse.xPos-xPos)/(width-float(slidersize)));

if (sliderValue>0.99)
  sliderValue=1;
if (sliderValue<0)
  sliderValue=0;
}

function drawSlider(Canvas C)
{
if(bUpDown)
  {
  C.SetPos(xpos+2,yPos+sliderValue*(height-float(sliderSize)));
  C.DrawRect(SliderMat,width-4,sliderSize);
  }
else
  {
  C.SetPos(xpos+sliderValue*width,yPos+2);
  C.DrawRect(SliderMat,slidersize,height-4);
  }
}

function LeftBtn(Canvas C)
{
bConfine=false;
Mouse.btnOne=false;
hasClicked=false;
}

DefaultProperties
{
widthRel=16
sliderSizeRel=16
Mat=Material'MovieSandboxTextures.icon_flat'
SliderMat=Texture'MovieSandboxtextures.icon_base'
bUpDown=true
}
