class MSBDrawBrush extends MSBActor;

var MSBMasterBlock Master;
var vector oldlocation;
var vector x,y,z;
var color myColor;

var PlayerController PC;

function draw()
{
local vector myVec;
local rotator myRot;

if (Master!=None)
{
 if (Master.bFaceBlock || Master.BoneNumber<0)
   GetAxes(Master.Rotation,x,y,z);
 else
   {
   Master.getBoneVector(Master.BoneNumber,myVec,myRot);
   GetAxes(myRot,x,y,z);
   }
 if (Master.E==None)
   {
   Master.E=Spawn(class'MSBEmitter',Master,,Master.Location,Master.Rotation);
   Master.E.bHardAttach=true;
   Master.AttachToBone(Master.E,'');
   }
 else
 {
 if (oldLocation!=location && Master.E.P.activeParticles<Master.E.P.maxParticles)
   {
   Master.E.P.SpawnParticle(1);
   oldLocation=Location;
   myVec=(Location-Master.Location);
   //one tick delay...
   if(Master.E.P.activeParticles>0)
     {
     Master.E.P.Particles[Master.E.P.activeParticles-1].Location.X=myVec dot x;
     Master.E.P.Particles[Master.E.P.activeParticles-1].Location.Y=myVec dot y;
     Master.E.P.Particles[Master.E.P.activeParticles-1].Location.Z=myVec dot z;
     Master.setColor(myColor,Master.E.P.activeParticles-1);
     Master.setScale(drawScale*5,Master.E.P.activeParticles-1);
     }
   if (Master.E.P.activeParticles>4096) Master.E.P.activeParticles=4096;
   }
  }
 //SetTimer(0.1,false);
 }
}

function erase()
{
local int i;
local rotator myRot;
local vector myVec,dist;

if (Master.E!=None && Master.E.P.activeParticles>0)
  {
  dist=Location-Master.Location;
  if (Master.bFaceBlock || Master.BoneNumber<0)
    GetAxes(Master.Rotation,x,y,z);
  else
    {
    Master.getBoneVector(Master.BoneNumber,myVec,myRot);
    GetAxes(myRot,x,y,z);
    }
  myVec.x=dist dot x;
  myVec.y=dist dot y;
  myVec.z=dist dot z;

  for(i=0;i<Master.E.P.activeParticles-1;i++)
    if(VSize(Master.E.P.Particles[i].Location - myVec)<4*DrawScale)
      {
      Master.E.P.Particles.Remove(i,1);
      Master.E.P.Particles.Insert(Master.E.P.Particles.length,1);
      Master.E.P.activeParticles--;
      Master.E.P.ParticleIndex=Master.E.P.activeParticles;
      }
  }
}

event Timer()
{
   if(Master.E.P.activeParticles>0 && Master.E.P.activeParticles<Master.E.P.maxParticles)
     Master.E.P.Particles.Remove(Master.E.P.activeParticles-1,1);
}

function SetColor()
{
ColorModifier(Skins[0]).Color=myColor;
ColorModifier(Skins[0]).Color.A=255;
}

defaultproperties
{
DrawType=DT_StaticMesh
Skins(0)=Material'MovieSandboxTextures.Green'
StaticMesh=StaticMesh'MoviesandboxMeshes.helperMeshes.CubeWhiteCentered'

Texture=Texture'MovieSandboxTextures.Airplane'

drawscale=1.0
bStatic=false
bNoDelete=false
bHidden=false
AmbientGlow=16
//experimental
bCollideActors=false
bCollideWorld=false
bBlockZeroExtentTraces=false
bBlockNonZeroExtentTraces=false
}
