class MSBKActor extends KActor;

var bool bMove;
var() vector loc;
var bool bRubber;
var bool bGrab;
var KRigidBodyState myRBState,oldRBState;
var MSBActor myGrabbedThing;


function Tick(float DeltaTime)
{
if (bMove)
  {
  myRBState.Position.X=loc.X+oldRBState.Position.X;
  myRBState.Position.Y=loc.Y+oldRBState.Position.Y;
  myRBState.Position.Z=loc.Z+oldRBState.Position.Z;

  KUpdateState(myRBState);
  }
}

event Touch(Actor Other)
{
//Log(Other);
if (Other!=None && Other.Tag=='grabMe' && bGrab && myGrabbedThing==None)
  {
  Other.bHardAttach=true;
  AttachToBone(Other,'');
  if (Other.IsA('MSBActor'))
    myGrabbedThing=MSBActor(Other);
  }
}

event bool KUpdateState(out KRigidBodyState newState)
{
newState=myRBState;
return true;
}

simulated event TriggerEvent(Name EventName,Actor Other,Pawn EventInstigator)
{
if (EventName=='RunMovie')
  {
  SetPhysics(PHYS_Karma);
  KGetRigidBodyState(myRBState);
  oldRBState=myRBState;
  bMove=true;
  }

if (EventName=='StopMovie')
  {
  SetPhysics(PHYS_None);
  bMove=false;
  }
}

function Reset()
{
  SetPhysics(PHYS_Karma);
  KGetRigidBodyState(myRBState);
  oldRBState=myRBState;
  bMove=true;
}

defaultproperties
{
bStatic=false
bNoDelete=false
Physics=PHYS_None
DrawType=DT_Sprite
Texture=Texture'MoviesandboxTextures.softspot'
StaticMesh=StaticMesh'BulldogMeshes.Simple.S_RearWheel'
DrawScale= 0.015
CollisionHeight=8
CollisionRadius=8
bBlockActors=false
bUseCylinderCollision=false
ImpactInterval=0.001000
    Begin Object Class=KarmaParamsRBFull Name=KarmaParamsRBFull1
        KLinearDamping=0.2000000
        KMass=1
        KActorGravScale=0
        KStartEnabled=True
        bHighDetailOnly=False
        bKAllowRotate=True
        bKDoubleTickRate=true
        bDoSafetime=true
        KFriction=0.0100000
        KRestitution=0.8000000
        KImpactThreshold=0.000000
    End Object
KParams=KarmaParamsRBFull'KarmaParamsRBFull1'

bSmoothKarmaStateUpdates=true;

}
