//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBMoCapJacketInputControl extends Actor;

var MSBRagDollPuppetJacket myPuppet;

var MSBUdpLink udpLinkRight;
var () int iPort;   // server port number
var bool bUdpInit;

var () int data[12];
var () float amp;


event PostBeginPlay()
{
super.PostBeginPlay();
if (Owner.IsA('MSBRagdollPuppetJacket'))
  myPuppet=MSBRagdollPuppetJacket(Owner);
}


function initUdpRight()
{
 iPort=31840+myPuppet.UdpFeetPadCh;
 if (udpLinkRight!=None)
   udpLinkRight.Destroy();
 if (myPuppet.UdpFeetPadCh>0)
   {
   udpLinkRight=Spawn(class'MSBUdpLink',self);
   udpLinkRight.InitUdpLink(iPort);
   Log("UdpPort initialized to"@iPort);
   //KArmaParamsSkel(myPuppet.Puppet.KParams).bRubbery=true;
   }
}

event Trigger(Actor Other,Pawn EventInstigator)
{
local float myDeg, myDegTwo;
local vector X,Y,Z;

//general data stuff
if (Other.IsA('MSBGuiOverlay'))
  initUdpRight();

myPuppet.GetAxes(myPuppet.Rotation,X,Y,Z);  //

if (myPuppet!=None && Other.IsA('MSBUdpLink') && myPuppet.bRunning)
  {
  if (udpLinkRight!=None)
      {
//        Log("We receive Data!"@udpLinkRight.byteData[6]);
      //right Hand:

      //right knee pressure  - 0=stretched, 255=full bent
      data[0]=udpLinkRight.byteData[0];

      //right hip bending  - 0=upright, 255=bent
      data[1]=udpLinkRight.byteData[1];

      //right shoulder back/forth -  0=straight, 255=bent
      data[2]=udpLinkRight.byteData[2];

      //right armpit up/down - 0=horizontal, 255=vertical
      data[3]=udpLinkRight.byteData[3];

      //right elbow  - 0=stretched, 255=bent
      data[4]=udpLinkRight.byteData[4];

      //right wrist - - 0=stretched, 255=bent
      data[5]=udpLinkRight.byteData[5];

          //left knee pressure  - 0=stretched, 255=full bent
      data[6]=udpLinkRight.byteData[6];

      //right hip bending  - 0=upright, 255=bent
      data[7]=udpLinkRight.byteData[7];

      //left shoulder back/forth -  0=straight, 255=bent
      data[8]=udpLinkRight.byteData[8];

      //left armpit up/down - 0=horizontal, 255=vertical
      data[9]=udpLinkRight.byteData[9];

      //left elbow  - 0=stretched, 255=bent
      data[10]=udpLinkRight.byteData[10];

      //right wrist - - 0=stretched, 255=bent
      data[11]=udpLinkRight.byteData[11];
}

// Right!!! ****************************************
    GetAxes(myPuppet.Rotation,x,y,z);

    //shoulder
    myDeg=float(data[2])/255;
    myDegTwo=float(data[3])/255;// * cos(myDeg*Pi/2);


    myPuppet.RightElbowLoc.X=(sin(amp*myDeg*Pi/2)*12)*cos(amp*myDegTwo*Pi/2);
    myPuppet.RightElbowLoc.Y=(cos(amp*myDeg*Pi/2)*12-12)*cos(amp*myDegTwo*Pi/2)-sin(amp*myDegTwo*Pi/2)*12;

    myPuppet.RightElbowLoc.Z=(8-sin(amp*myDegTwo*Pi/2)*12);

    myPuppet.rightElbowLoc=myPuppet.rightElbowLoc.x*x+myPuppet.rightElbowLoc.Y*Y+myPuppet.rightElbowLoc.Z*Z;

    //hand
    myPuppet.RightHandLoc.X=(sin(amp*myDeg*Pi/2)*24)*cos(myDegTwo*Pi/2);
    myPuppet.RightHandLoc.Y=(cos(amp*myDeg*Pi/2)*24-24)*cos(myDegTwo*Pi/2)-sin(myDegTwo*Pi/2)*24;
    myPuppet.RightHandLoc.Z=(18-sin(amp*myDegTwo*Pi/2)*24);

    //elbow
    myDeg=float(data[4])/255;
    myPuppet.RightHandLoc.Y-=sin(amp*myDeg*Pi/2)*12;
    myPuppet.RightHandLoc.Z+=sin(amp*myDeg*Pi/2)*24;

    //foot
    myPuppet.RightFootLoc.Z=float(data[0])/10;


    myPuppet.RightHandLoc=myPuppet.RightHandLoc.x*x+myPuppet.RightHandLoc.Y*Y+myPuppet.RightHandLoc.Z*Z;

//    myDeg=float(data[1])/255;
//    myPuppet.spineLoc.X=sin(amp*myDeg*Pi/2)*20;
//    myPuppet.spineLoc.Z=cos(amp*myDeg*Pi/2)*20-20;

//    myPuppet.rightClavLoc.X=sin(amp*myDeg*Pi/2)*22;
//    myPuppet.rightClavLoc.Z=cos(amp*myDeg*Pi/2)*20-20;
//
//    myPuppet.leftClavLoc.X=sin(amp*myDeg*Pi/2)*22;
//    myPuppet.leftClavLoc.Z=20-cos(amp*myDeg*Pi/2)*20;

//    myPuppet.neckLoc.X=sin(amp*myDeg*Pi/2)*30;
//    myPuppet.neckLoc.Z=cos(amp*myDeg*Pi/2)*30-30;


//************ Left!!! *************************
    //shoulder
    myDeg=float(data[8])/255;
    myDegTwo=float(data[9])/255;// * cos(myDeg*Pi/2);


    myPuppet.leftElbowLoc.X=(sin(amp*myDeg*Pi/2)*12)*cos(amp*myDegTwo*Pi/2);
    myPuppet.leftElbowLoc.Y=(12-cos(amp*myDeg*Pi/2)*12)*cos(amp*myDegTwo*Pi/2)+sin(amp*myDegTwo*Pi/2)*12;

    myPuppet.leftElbowLoc.Z=(8-sin(amp*myDegTwo*Pi/2)*12);

    myPuppet.leftElbowLoc=myPuppet.leftElbowLoc.x*x+myPuppet.leftElbowLoc.Y*Y+myPuppet.leftElbowLoc.Z*Z;

    //hand
    myPuppet.leftHandLoc.X=(sin(amp*myDeg*Pi/2)*24)*cos(myDegTwo*Pi/2);
    myPuppet.leftHandLoc.Y=(24-cos(amp*myDeg*Pi/2)*24)*cos(myDegTwo*Pi/2)+sin(myDegTwo*Pi/2)*24;
    myPuppet.leftHandLoc.Z=(18-sin(amp*myDegTwo*Pi/2)*24);

    //elbow
    myDeg=float(data[10])/255;
    myPuppet.leftHandLoc.Y+=sin(amp*myDeg*Pi/2)*12;
    myPuppet.leftHandLoc.Z+=sin(amp*myDeg*Pi/2)*24;

    //foot
    myPuppet.leftFootLoc.Z=float(data[6])/10;


    myPuppet.leftHandLoc=myPuppet.leftHandLoc.x*x+myPuppet.leftHandLoc.Y*Y+myPuppet.leftHandLoc.Z*Z;
  }
}

function Reset()
{
super.Reset();

myPuppet.leftClavLoc=vect(0,0,0);
myPuppet.rightClavLoc=vect(0,0,0);
myPuppet.spineLoc=vect(0,0,0);
myPuppet.leftElbowLoc=vect(0,0,0);
myPuppet.rightElbowLoc=vect(0,0,0);
myPuppet.leftHandLoc=vect(0,0,0);
myPuppet.rightHandLoc=vect(0,0,0);
}

defaultproperties
{
amp=1.0
bHidden=true
}
