//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBRagdollPuppetJacket extends MSBRagDollPuppet;

var vector leftElbowLoc,
           rightElbowLoc;

event PostBeginPlay()
{
super.PostBeginPlay();
KarmaParamsSkel(Puppet.KParams).bRubbery=true;
Puppet.KGetRigidBodyState(initialRBState);
Puppet.KGetSimParams(initialKSim);
initialKSim.Epsilon+=1;
initialKSim.MaxTimestep=1.5;
initialKSim.MaxPenetration=10;
initialKSim.ContactSoftness=5;
//Puppet.KSetSimParams(initialKSim);
}

function Tick(float DeltaTime)
{
local int i;
//0=leftHand
//1=rightHand


if (bRunning && PuppetControl[2]!=None)
  {
  for (i=0;i<13;i++)
    PuppetControl[i].bHidden=false;

Log(Puppet);
  PuppetControl[0].loc=leftHandLoc;
  PuppetControl[1].loc=rightHandLoc;

  PuppetControl[2].loc=neckloc;

  PuppetControl[3].loc=spineLoc;
  PuppetControl[4].loc=spineLoc;

//  PuppetControl[5].loc=rightClavLoc;
//  PuppetControl[6].loc=leftClavLoc;

  PuppetControl[7].loc=leftFootLoc;
  PuppetControl[8].loc=rightFootLoc;

  PuppetControl[9].loc=leftElbowLoc;
  PuppetControl[10].loc=rightElbowLoc;
  }
}

event Destroyed()
{
Log("Why?????????????????????????????????????");
}

function AttachBoneStuff()
{
super.AttachBoneStuff();

Puppet.AttachToBone(Glue[9],'Bip01 L ForeArm');
Puppet.AttachToBone(PuppetControl[9],'Bip01 L ForeArm');

Puppet.AttachToBone(Glue[10],'Bip01 R ForeArm');
Puppet.AttachToBone(PuppetControl[10],'Bip01 R ForeArm');

Puppet.AttachToBone(Glue[11],'bip01 L Thigh');
Puppet.AttachToBone(PuppetControl[11],'Bip01 L Thigh');

Puppet.AttachToBone(Glue[12],'bip01 R Thigh');
Puppet.AttachToBone(PuppetControl[12],'Bip01 R Thigh');
}


DefaultProperties
{
maxControlPoints=13
InputControlClassName="MSBObjects.MSBMoCapJacketInputControl"
}
