class MSBUdpLink extends UdpLink;

var int iPort;   // server port number
var IpAddr Addr;
var array<Actor> Parent;
var string Data;
var byte byteData[255];

function InitUdpLink(int port)   //  Basic UDP Setup
{
  ReceiveMode = RMODE_Event; // We are manually catching incomming data
  LinkMode = MODE_Binary;      // We expect to receive data in Binary format

  if (port>0)
    iPort=Port;

  GetLocalIp(Addr);
  addr.port = iPort;
  BindPort(addr.port, true);
  if (Owner!=None)
    Parent[Parent.Length]=Owner;
  Log("initialised UDP Link"@self@"to port:"@port@"and sending data to:"@Parent[Parent.Length-1]);
}

event ReceivedBinary(IpAddr Addr, int Count, byte B[255])
{
local int i;

for (i=0;i<count;i++)
  {
   byteData[i]=B[i];
   Data$=Chr(B[i]);
  }
if(Parent[0]!=None)
  for(i=0;i<Parent.length;i++)
    Parent[i].Trigger(self, None);
}

defaultproperties
{
     iPort=4444
}

