class MSBVoxelShader extends Object;

var Actor Parent;
var bool bInitialised;
var int i;
var float originalDrawScale;
var vector originalDrawScale3D;
var Actor.EDrawType originalDrawType;

var array<string> Properties;

var bool bSwitchExtrusion;                  //tracing extrudes simpleBlocks - shaders mostly use Sprites
                                            //and thus might want to convert the extrudes to a position



function Shade(float DeltaTime, color col)
{
if (!binitialised)
  initShader(col);
}

function initShader(color col)
{
originalDrawScale=Parent.DrawScale;
originalDrawType=Parent.DrawType;
//hack for "extrude problem" as described in PropertyButtonSetShader
if (!bSwitchExtrusion)
  originalDrawScale3D=Parent.DrawScale3D;
//otherwise we get our originalDrawScale3D from PropertyButtonSetShader or from Loading!
bInitialised=true;
}

function Reset()
{
Parent.SetDrawScale(originalDrawScale);
Parent.SetDrawType(originalDrawType);
Parent.SetDrawScale3D(originalDrawScale3D);
Parent=None;
}

defaultproperties
{
bSwitchExtrusion=true
}
