//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonRotate extends MSBPropertyButton;

var float xDist,
          yDist,
          oldX,
          oldY;

var rotator chgRot, chgRotAbs, initialRotation;
var vector dragVec;

var bool bShift;

var EPhysics OldPhysics;

function InitButton(Canvas C)
{
if (bDragged)
  {
  if (!bShift)
    dragVec.X+=(Mouse.xPos-oldx);
  dragVec.Y+=(Mouse.yPos-oldy);
  if (bShift)
    dragVec.Z+=(Mouse.xPos-oldx);

  chgRot.Yaw=100*dragVec.X;
  chgRot.Pitch=100*dragVec.Y;
  chgRot.Roll=100*dragVec.Z;

  Mouse.xPos=oldX;
  Mouse.yPos=oldY;

  if (M.bGrid)
    {
    chgRotAbs.Yaw=chgRot.Yaw/2048;
    chgRotAbs.Pitch=chgRot.Pitch/2048;
    chgRotAbs.Roll=chgRot.Roll/2048;
    chgRotAbs*=2048;
    }
  else
    chgRotAbs=chgRot;

  Parent.SetRotation(initialRotation+chgRotAbs);
  }
super.initButton(C);
}


function Render(Canvas C)
{
super.Render(C);
if (bEnabled)
 {
 if (hasClicked && Mouse.btnOne)
    {
    hasClickedAgain=true;
    LeftBtnFinished(C);
    hasClickedAgain=false;
    }
 if (hasClicked && Mouse.bShiftDown && !bShift)
    PressShift(C);
 }
if (!Mouse.bShiftDown)
 bShift=false;
}

function PressShift(Canvas C)
{
bShift=true;
}


function LeftBtn(Canvas C)
{
super.LeftBtn(C);
bDragged=true;
Mouse.bHitActors=false;

OldPhysics=Parent.Physics;
Parent.SetPhysics(PHYS_None);
oldX=Mouse.xPos;
oldY=Mouse.yPos;
M.disableMidLayer();
initialRotation=Parent.Rotation;
}

function LeftBtnFinished(Canvas C)
{
local int i;
local MSBNodeButton N;

HasClicked=false;
//enable all other buttons after second press
for (i=0;i<M.myHud.Overlays.Length-1;i++)
  if (M.myHud.Overlays[i].IsA('MSBGuiOverlay'))
    MSBGuiOverlay(M.myHud.Overlays[i]).bEnabled=true;

Mouse.btnOne=false;
bDragged=false;

//if we move a Pawn, then set InitialRotation in depending MSBRootNode
Parent.SetPhysics(OldPhysics);

for (i=0; i<Mouse.selectedActor.length;i++)
{
 if (Mouse.selectedActor[i].IsA('Pawn'))
  {
  foreach AllActors(class'MSBNodeButton',N)
    if (N.Order.IsA('MSBRootNode') && MSBRootNode(N.Order).BasePawn==Pawn(Mouse.selectedActor[i]))
       MSBRootNode(N.Order).initialRotation=Mouse.selectedActor[i].Rotation;
   }

 if (Mouse.selectedActor[i].IsA('MSBSpritePawn'))
  {
  foreach AllActors(class'MSBNodeButton',N)
    if (MSBSpriteNode(N.Order).BasePawn==MSBSpritePawn(Mouse.selectedActor[i]))
      MSBSpriteNode(N.Order).initialRotation=Mouse.selectedActor[i].Rotation;
  }

 if (Mouse.selectedActor[i].IsA('MSBCamera'))
  MSBCamera(Parent).initialRotation=Mouse.selectedActor[i].Rotation;
}
Mouse.bHitActors=true;
M.enableMidLayer();
dragVec*=0;
}

DefaultProperties
{
BtnName="Rotate"
Mat=Material'MovieSandboxTextures.icon_rotate'
widthRel=32
heightRel=32
bDisplayName=false
}
