class MSBFilterGravityBlock extends MSBActor;

var MSBController M;
var bool bRevert;
var float gravity;
var MSBMasterBlock Block;
var array<vector> drawingLocations;
var bool bRunning;

event PostBeginPlay()
{
super.PostBeginPlay();
M=MSBController(Level.GetLocalPlayerController());
Log("Connected to:"@M);
}


event RunMovie()
{
local int i;
if (Block!=None && Block.E!=None)
  for (i=0;i<Block.E.P.activeParticles;i++)
    drawingLocations[i]=Block.E.P.Particles[i].Location;
bRunning=true;
super.RunMovie();
}

event StopMovie()
{
local int i;
if (Block!=None && Block.E!=None)
  {
  for (i=0;i<Block.E.P.activeParticles;i++)
    if (drawingLocations.Length>0)
      {
      Block.E.P.Particles[i].Location=drawingLocations[i];
      Block.E.P.Particles[i].Velocity.Z=0;
      }
  }
bRunning=false;
super.StopMovie();
}

event Trigger(Actor Other, Pawn EventInstigator)
{
local int i;

if (Block!=None && Block.E!=None && bRunning)
  for (i=0;i<Block.E.P.activeParticles;i++)
    Block.E.P.Particles[i].Velocity.Z-=FRand()*gravity;

}

defaultproperties
{
gravity=2.5
bRevert=false

ButtonList(1)="MSBPropertyButtons.MSBPropertyButtonScale"
Properties(1)="Dummy"
ButtonMat(1)="MoviesandboxTextures.icon_size"

ButtonList(2)="MSBPropertyButtons.MSBPropertyButton3D"
Properties(2)="Block"
ButtonMat(2)="MoviesandboxTextures.icon_selectDrawing"

ButtonList(3)="MSBPropertyButtons.MSBPropertyButtonText"
Properties(3)="gravity"
ButtonMat(3)="MoviesandboxTextures.icon_advanced"

bDisplayed=false

}
