class MSBPenDrawingPropsButton extends MSBPropertyButtonComplex;

var string drawStyle;
var float alpha,size,grav;

function createButtons()
{
local int i;
super.createButtons();
for (i=0; i<ListButton.length;i++)
  {
  ListButton[i].widthRel=64;
  ListButton[i].relativeWidthHeight();
  }
}

function Trigger(Actor Other, Pawn EventInstigator)
{
local int i;
local ParticleEmitter pe;

if (Other==ListButton[0])
 {
 if (drawStyle=="add" || drawStyle=="0")
   MSBPenWidget(Parent).DrawBrush.Master.E.P.DrawStyle=PTDS_Brighten;
 if (drawStyle=="sub"|| drawStyle=="1")
   MSBPenWidget(Parent).DrawBrush.Master.E.P.DrawStyle=PTDS_Darken;
 if (drawStyle=="alpha" || drawStyle=="2")
   MSBPenWidget(Parent).DrawBrush.Master.E.P.DrawStyle=PTDS_AlphaBlend;
 if (drawStyle=="mod" || drawStyle=="3")
   MSBPenWidget(Parent).DrawBrush.Master.E.P.DrawStyle=PTDS_Modulated;
 if (drawStyle=="trans" || drawStyle=="4")
   MSBPenWidget(Parent).DrawBrush.Master.E.P.DrawStyle=PTDS_Translucent;
 if (drawStyle=="norm" || drawStyle=="5")
   MSBPenWidget(Parent).DrawBrush.Master.E.P.DrawStyle=PTDS_Regular;
 if (drawStyle=="alphamod" || drawStyle=="6")
   MSBPenWidget(Parent).DrawBrush.Master.E.P.DrawStyle=PTDS_AlphaModulate_MightNotFogCorrectly;
 }

if (Other==ListButton[1])
   {
   pe=MSBPenWidget(Parent).DrawBrush.Master.E.P;
   for (i=0;i<pe.activeParticles;i++)
     pe.Particles[i].StartSize.X*=size;
   }
if (Other==ListButton[2])
   {
   Log(MSBPenWidget(Parent).DrawBrush.Master.E.P.Opacity);
   MSBPenWidget(Parent).DrawBrush.Master.E.P.Opacity=alpha;
   Log(alpha);
   }

if (Other==ListButton[3])
  {
   pe=MSBPenWidget(Parent).DrawBrush.Master.E.P;
   for (i=0;i<pe.activeParticles;i++)
     pe.Particles[i].Velocity.Z-=FRand()*grav;
  }
}

defaultproperties
{
ButtonList(0)="MSBPropertyButtons.MSBPropertyButtonText"
ButtonName(0)="DrawStyle"
ButtonProperty(0)="drawStyle"

ButtonList(1)="MSBPropertyButtons.MSBPropertyButtonText"
ButtonName(1)="Size"
ButtonProperty(1)="size"

ButtonList(2)="MSBPropertyButtons.MSBPropertyButtonText"
ButtonName(2)="Alpha"
ButtonProperty(2)="alpha"

ButtonList(3)="MSBPropertyButtons.MSBPropertyButtonText"
ButtonName(3)="Gravity"
ButtonProperty(3)="grav"

widthRel=48
heightRel=48
listOrientation=2
col=(R=255,G=255,B=255,A=255)
}

