//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPenMoveRulerButton extends MSBPropertyButtonMove;

var MSBPenWidget myWidget;
var vector oldLocation;

function PostBeginPlay()
{
super.PostBeginPlay();
myWidget=MSBPenWidget(Parent);
}

function LeftBtn(Canvas C)
{
if (Mouse.selectedActor.Length>0)
  Mouse.deSelectAll();
if (!Mouse.bShiftDown)
  Parent=myWidget.Ruler;
else
  {
  Parent=myWidget.DrawBrush.Master.E;
  oldLocation=myWidget.DrawBrush.Master.E.Location;
  }
super.LeftBtn(C);
}

function LeftBtnFinished(Canvas C)
{
local int p;
local vector diff;

super.LeftBtnFinished(C);
diff=myWidget.DrawBrush.Master.E.Location-oldLocation;

if (Parent==myWidget.DrawBrush.Master.E)
  {
  for (p=0;p<myWidget.DrawBrush.Master.E.P.activeParticles;p++)
    myWidget.DrawBrush.Master.E.P.Particles[p].Location+=diff;
  myWidget.DrawBrush.Master.E.SetLocation(oldLocation);
  myWidget.DrawBrush.Master.AttachToBone(myWidget.DrawBrush.Master.E,'');
  }
}

DefaultProperties
{
widthRel=48
heightRel=48
bMainMenu=true
Mat=Material'MovieSandboxTextures.icon_move_white'
}
