//TODO:
//have this as a Widget!
class MSBPoseWidget extends MSBOpenWidgetButton;

var array<string> BtnNames;

var Actor PoseActor;
var int focusBone, lastbone;
var string saveName, loadName;

var MSBBoneRotDummy BRD;
var MSBAniPose Pose;

var Material selectPawnMat,nextBoneMat,prevBoneMat,rotateBoneMat,moveOriginMat;

function LeftBtn(Canvas C)                      //opens PoseEditing Buttons
{
local int i;
super.LeftBtn(C);
for (i=0;i<Buttonlist.Length; i++)
   {
    if (ListButton[i]!=None)
     {
     if(ListButton[i].IsA('MSBPropertyButton'))
       {
       MSBPropertyButton(ListButton[i]).BtnName=BtnNames[i];
       MSBPropertyButton(ListButton[i]).Parent=self;
       MSBPropertyButton(ListButton[i]).bDisplayName=false;
       }
     ListButton[i].widthRel=32;
     ListButton[i].heightRel=32;
     ListButton[i].relativeWidthHeight();
     positionButton(C,i);
     }
    }
if(bIsOpen)
  {
  iniSubObjects();
  assignButtonPrefs();
  }
else
  {
  if(PoseActor!=None && PoseActor.IsA('MSBPawn'))
    {
    Log("clearing the Pose...");
    MSBPawn(PoseActor).iniPosing();
    MSBPawn(PoseActor).clearPosing();
    }
  }
}



function Trigger(Actor Other, Pawn EventInstigator)
{
// new Actor Assigned
if (Other==ListButton[0] && PoseActor!=None)
  {
  PoseActor.SetPhysics(PHYS_None);
  PoseActor.StopAnimating(true);
  Log("MSBPoseEditor calling Pose.Initialize");
  Pose.initialize(PoseActor);
  Log("MSBPoseEditor called Pose.Initialize");
  BRD.initialize(PoseActor,Pose);
  if (PoseActor.IsA('MSBPawn'))
    lastbone=26;
  if (PoseActor.IsA('MSBFullRig'))
    lastbone=63;
  Log("From MSBPoseEditor:LastBone="$lastbone);
  }

// changed FocusBone
if (Other==ListButton[1])
  {
  if (focusbone==lastbone-1)
    focusbone=0;
  BRD.switchBone(++focusbone);
  }

if (Other==ListButton[2])
  {
  if (focusbone==1)
    focusbone=lastbone;
  BRD.switchBone(--focusbone);
  }

loadname="";
saveName="";
}

function iniSubObjects()
{
Pose=new class'MSBAniPose';
focusBone=1;

BRD=Spawn(class'MSBBoneRotDummy');
//position BoneRotationDummy
if (PoseActor!=None)
  {
  Pose.initialize(PoseActor);
  BRD.initialize(PoseActor,Pose);
  }
Log("MSBPoseEditor iniSubObjects");
}

function assignButtonPrefs()
{
if (ListButton.length>0 && ListButton[0]!=None && ListButton[0].IsA('MSBPropertyButton'))
  {
  MSBPropertyButton(ListButton[0]).Property="PoseActor";
  MSBPropertyButton(ListButton[0]).Value="PoseActor";
  ListButton[0].Mat=selectPawnMat;
  }

if (ListButton.length>1 && ListButton[1]!=None && ListButton[1].IsA('MSBPropertyButton'))
  ListButton[1].Mat=nextBoneMat;
if (ListButton.length>2 && ListButton[2]!=None && ListButton[2].IsA('MSBPropertyButton'))
  ListButton[2].Mat=prevBoneMat;

if (ListButton.length>3 && ListButton[3]!=None && ListButton[3].IsA('MSBPropertyButton'))
  {
  MSBPropertyButton(ListButton[3]).Parent=BRD;
  ListButton[3].Mat=rotateBoneMat;
  ListButton[3].updateMaterial();
  }
if (ListButton.length>4 && ListButton[4]!=None && ListButton[4].IsA('MSBPropertyButton'))
  {
  MSBPropertyButton(ListButton[4]).Parent=BRD;
  ListButton[4].Mat=moveOriginMat;
  ListButton[4].updateMaterial();
  }
if (ListButton.length>6 && ListButton[5]!=None && ListButton[5].IsA('MSBPoseLoadButton'))
  MSBPoseLoadButton(ListButton[5]).Parent=self;
if (ListButton.length>5 && ListButton[6]!=None && ListButton[6].IsA('MSBPoseSaveButton'))
  MSBPoseSaveButton(ListButton[6]).Parent=self;
}

event Destroyed()
{
Log("Destroying PoseEditor!");
super.Destroyed();
if (BRD!=None)
  BRD.destroy();
Pose=None;
}

function deSelect()
{
Log("deselecting PoseEditor");
super.deSelect();
}

function Close()
{
if (BRD!=None)
  BRD.Destroy();
}

defaultproperties
{
lastbone=26
ButtonList(0)="MSBPropertyButtons.MSBPropertyButton3D"     //select Pawn
BtnNames[0]="select Pawn"
ButtonList(1)="MSBPropertyButtons.MSBPropertyButtonAssign" //next Bone
BtnNames[1]="next Bone"
ButtonList(2)="MSBPropertyButtons.MSBPropertyButtonAssign" //prev Bone
BtnNames[2]="prev Bone"
ButtonList(3)="MSBPropertyButtons.MSBPropertyButtonRotate" //rotate DummyObject
BtnNames[3]="rotate"
ButtonList(4)="MSBWidgetPose.MSBPropertyButtonMoveOrigin" //Move origin
BtnNames[4]="set Origin"
ButtonList(5)="MSBWidgetPose.MSBPoseLoadButton"   //load Pose
BtnNames[5]="load Pose"
ButtonList(6)="MSBWidgetPose.MSBPoseSaveButton"   //save Pose
BtnNames[6]="save Pose"

Mat=Texture'MoviesandboxTextures.icon_nextBone'
selectPawnMat=Material'MoviesandboxTextures.icon_selectChar'
nextBoneMat=Material'MoviesandboxTextures.icon_nextBone'
prevBoneMat=Material'MoviesandboxTextures.icon_prevBone'
rotateBoneMat=Material'MoviesandboxTextures.icon_rotate_white'
moveOriginMat=Material'MoviesandboxTextures.icon_move_white'
widgetPosXRel=00
widgetPosYRel=300
listOrientation=1
Col=(R=255,G=64,B=64)
}


